Subject: [os2genau_digest] No. 941
From: Digest <deadmail>
To: "OS/2GenAu Digest"<deadmail>
Date: Mon, 20 Sep 2004 00:01:05 EST-10EDT,10,-1,0,7200,3,-1,0,7200,3600

**************************************************
Sunday 19 September 2004
 Number  941
**************************************************

Subjects for today
 
1   Firefox and Thunderbird : Dennis Nolan <dennik at swiftdsl dot com dot au>

**= Email   1 ==========================**

Date:  Sun, 19 Sep 2004 09:48:15 +1000
From:  Dennis Nolan <dennik at swiftdsl dot com dot au>
Subject:   Firefox and Thunderbird

Hi all

I've had some strange things happening lately, which resulted in me 
wiping my old firefox and thunderbird and reinstalling from scratch.

The trap for this is these os2 versions require libc04.dll not 
libc05.dll as listed as a requirement at warpzilla.

One of the symptoms of the previous problems is that icons on the 
desktop still have the shading indicating that the program is running 
after it is closed down.

Eventually the problem developed into a desktop freeze caused by giving 
focus to a blocked message queue window.

e.g.  The E editor is closed, but it doesn't close, everything works ok 
until the unclosed E window is given the focus, and freeze.

Similar with firefox, close the application, the icon indicates open, or 
it may not close, and it freezes when clicking on the icon or the window.

The popuplog.os2 indicates that cmd.exe had trouble with rexx.dll when 
it was firefox causing the problem. it indicated E.Exe was the problem 
when the editor froze.

This is when I switched back to classic rexx and wiped and reinstalled 
firefox and thunderbird.

Maybe they need libc05.dll and the os2 build didn't make that change in 
the makefile or whatever.

But while discussing the Mozilla project, why is it that we have to put 
up with the configuration file style being used. It was fine 30 years 
ago, but it's now 2004, what's wrong with Properties notebooks, extended 
attributes and other modern concepts.
I know they aren't available in the linux file system, but wouldn't it 
be worth while implementing or simulating.
I fear that we are getting a RR on a T model chassis.
Most of the computer nuts down here are Linux freaks, and I am 
continually surprised by what they put up with.

Well I'll go back to testing to see if I've got rid of my problem.

Regards
Dennis.

----------------------------------------------------------------------------------